Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 731750 - sci-biology/embassy-emnu fails to link with LLD because of /usr/lib in the link command line
Summary: sci-biology/embassy-emnu fails to link with LLD because of /usr/lib in the li...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Biology related packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: LD-is-lld
  Show dependency tree
 
Reported: 2020-07-08 15:17 UTC by Agostino Sarubbo
Modified: 2020-11-02 22:11 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,20.01 KB, text/plain)
2020-07-08 15:17 UTC, Agostino Sarubbo
Details
other.tar.bz2 (other.tar.bz2,261 bytes, application/x-bzip-compressed-tar)
2020-07-08 15:17 UTC, Agostino Sarubbo
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2020-07-08 15:17:18 UTC
https://blogs.gentoo.org/ago/2020/07/04/gentoo-tinderbox/

Issue: sci-biology/embassy-emnu fails to link with LLD because of /usr/lib in the link command line.
Discovered on: amd64  (internal ref: tinderbox)

NOTE:
This PR gives an idea about a fix: https://github.com/PhotoFlare/photoflare/pull/248/files.
Comment 1 Agostino Sarubbo gentoo-dev 2020-07-08 15:17:27 UTC
Created attachment 648390 [details]
build.log

build log and emerge --info
Comment 2 Agostino Sarubbo gentoo-dev 2020-07-08 15:17:37 UTC
Created attachment 648392 [details]
other.tar.bz2

other logs
Comment 3 Larry the Git Cow gentoo-dev 2020-11-02 22:11:20 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6e8ffa30b0e494f08d1c6e923e16ca66c9327276

commit 6e8ffa30b0e494f08d1c6e923e16ca66c9327276
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-11-02 22:10:59 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-11-02 22:10:59 +0000

    sci-biology/embassy-emnu: Patch out -L/usr/lib for LLD
    
    Closes: https://bugs.gentoo.org/731750
    Package-Manager: Portage-3.0.8, Repoman-3.0.2
    Signed-off-by: David Seifert <soap@gentoo.org>

 .../embassy-emnu-1.05.650_fix-build-system.patch   | 45 +++++++++++-----------
 1 file changed, 23 insertions(+), 22 deletions(-)